Naar hoofdinhoud gaan
GET
/
v1
/
crawls
/
{crawl_id}
Crawl-Informationen abrufen
curl --request GET \
  --url https://api.olostep.com/v1/crawls/{crawl_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "<string>",
  "status": "<string>",
  "created": 123,
  "start_date": "<string>",
  "start_url": "<string>",
  "max_pages": 123,
  "max_depth": 123,
  "exclude_urls": [
    "<string>"
  ],
  "include_urls": [
    "<string>"
  ],
  "include_external": true,
  "search_query": "<string>",
  "top_n": 123,
  "current_depth": 123,
  "pages_count": 123,
  "webhook": "<string>",
  "follow_robots_txt": true
}

Overzicht

De GET /v1/crawls/{crawl_id} endpoint biedt gedetailleerde informatie over een specifieke crawl. Dit omvat de status, start- en eindtijd, en andere relevante metadata.

Parameters

  • crawl_id (vereist): De unieke identifier voor de crawl waarvan je informatie wilt ophalen.

Voorbeeldverzoek

GET /v1/crawls/12345 HTTP/1.1
Host: api.olostep.com
Authorization: Bearer jouw_api_token

Voorbeeldantwoord

{
  "id": "12345",
  "status": "voltooid",
  "start_time": "2023-10-01T12:00:00Z",
  "end_time": "2023-10-01T12:30:00Z",
  "result_count": 1500,
  "error_count": 0
}

Reacties

  • 200 OK: Het verzoek was succesvol en de informatie over de crawl wordt geretourneerd.
  • 404 Niet Gevonden: De opgegeven crawl_id bestaat niet.
  • 401 Niet Geautoriseerd: De API-token is ongeldig of ontbreekt.

Opmerkingen

Zorg ervoor dat je een geldig crawl_id gebruikt en dat je API-token correct is ingesteld in de header van het verzoek.

Autorisaties

Authorization
string
header
vereist

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Padparameters

crawl_id
string
vereist

Die ID des Crawls, für den Informationen abgerufen werden sollen.

Respons

Erfolgreiche Antwort mit Crawl-Informationen.

id
string

Crawl-ID

object
string

Die Art des Objekts. "crawl" für diesen Endpunkt.

status
string

in_progress oder completed

created
number

Erstellungszeit in Epoch

start_date
string

Erstellungszeit im Datum

start_url
string
max_pages
number
max_depth
number
exclude_urls
string[]
include_urls
string[]
include_external
boolean
search_query
string
top_n
number
current_depth
number

Die aktuelle Tiefe des Crawl-Prozesses.

pages_count
number

Anzahl der gecrawlten Seiten

webhook
string
follow_robots_txt
boolean